Bug 80333 - FILEOPEN: .doc has large black rectangles between paragraphs
Summary: FILEOPEN: .doc has large black rectangles between paragraphs
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.2.0.4 release
Hardware: x86 (IA32) All
: medium normal
Assignee: Tamás Zolnai
URL:
Whiteboard: target:4.4.0 target:4.3.0 target:4.2.6
Keywords: regression
Depends on:
Blocks:
 
Reported: 2014-06-21 15:04 UTC by chuck.pobanz
Modified: 2014-07-16 03:11 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
.Doc File that displays the problem (27.50 KB, application/msword)
2014-06-21 15:09 UTC, chuck.pobanz
Details
As file should look (from wordviewer) (110.87 KB, image/png)
2014-06-21 15:18 UTC, chuck.pobanz
Details
As file looks in LibreOffice 4.2.3.3 (105.98 KB, image/png)
2014-06-21 15:19 UTC, chuck.pobanz
Details

Note You need to log in before you can comment on or make changes to this bug.
Description chuck.pobanz 2014-06-21 15:04:53 UTC

    
Comment 1 chuck.pobanz 2014-06-21 15:09:23 UTC
Created attachment 101486 [details]
.Doc File that displays the problem
Comment 2 chuck.pobanz 2014-06-21 15:18:52 UTC
Created attachment 101487 [details]
As file should look (from wordviewer)
Comment 3 chuck.pobanz 2014-06-21 15:19:58 UTC
Created attachment 101488 [details]
As file looks in LibreOffice 4.2.3.3
Comment 4 tommy27 2014-06-22 20:42:11 UTC
reproducible under Win7x64 using LibO 4.2.0.4, 4.2.4.2 and 4.4.0.0.alpha0+
Build ID: 488f31200094d7237d45545ab227014831a1f8e6
TinderBox: Win-x86@39, Branch:master, Time: 2014-06-15_05:02:39

status NEW

not reproducible with LibO 4.1.5.3, hence regression of the 4.2.x branch
Comment 5 Michael Stahl (CIB) 2014-07-10 20:31:48 UTC
bibisect range:

7be7824bbbdeee6fa998b950e6046ab37fe690cb..dca003a486acb63ea7ba6aaba94f6c9d3715b004

regression from:

commit aa2faee4b3954b57a613963b501ecf611b3a14ca
Author:     Zolnai Tamás <zolnaitamas2000@gmail.com>
AuthorDate: Sat Sep 7 19:50:25 2013 +0200

    CharBrd 9.4: DOC filters
Comment 6 Commit Notification 2014-07-12 08:45:39 UTC
Zolnai Tamas committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c2e708d61746a259888c0e5fb1d3e9a43e3ca696

fdo#80333: .doc has large black rectangles between paragraphs



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2014-07-13 07:25:16 UTC
Zolnai Tamas committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8e08ec34ac5ad552709782b10fd309b78ed080f8&h=libreoffice-4-3

fdo#80333: .doc has large black rectangles between paragraphs


It will be available in LibreOffice 4.3.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Jean-Baptiste Faure 2014-07-13 08:38:50 UTC
Verified fixed in LO 4.3.1.0.0+ (Build ID: 8e08ec34ac5ad552709782b10fd309b78ed080f8) under Ubuntu 14.04 x86-64.

Set status accordingly.

Best regards. JBF
Comment 9 Commit Notification 2014-07-13 09:06:44 UTC
Zolnai Tamas committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2c735d761a1afcb2d2cf410a398c3100d363fad1&h=libreoffice-4-2

fdo#80333: .doc has large black rectangles between paragraphs


It will be available in LibreOffice 4.2.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2014-07-14 11:29:52 UTC
Zolnai Tamas committed a patch related to this issue.
It has been pushed to "libreoffice-4-2-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=aea934f29fcc435c3cca8cc3feabcf5c9d7f44d6&h=libreoffice-4-2-6

fdo#80333: .doc has large black rectangles between paragraphs


It will be available already in LibreOffice 4.2.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2014-07-14 11:31:38 UTC
Zolnai Tamas committed a patch related to this issue.
It has been pushed to "libreoffice-4-3-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=553fc0770ede2d5a95f72fb28d21a92bfdb3a38a&h=libreoffice-4-3-0

fdo#80333: .doc has large black rectangles between paragraphs


It will be available already in LibreOffice 4.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 12 chuck.pobanz 2014-07-16 03:11:16 UTC
Thank you so much for all the assistance of finding where this regression occurred and then the quick fix for that regression. It is now working for me using: 
Version: 4.3.1.0.0+
Build ID: 5d0673b0f9126f140ffc3d130ee3f04d4f8dcb07